// always choose the best option among getting and passing, and calculate how much budget you are using

#include <stdio.h>
#include <assert.h>

// constraints
#define MAXN 100000

// input data
int N;
int V[MAXN], P[MAXN], C[MAXN];

int main() {
//  uncomment the following lines if you want to read/write from files
//  freopen("input.txt", "r", stdin);
//  freopen("output.txt", "w", stdout);

    assert(1 == scanf("%d", &N));
    for (int i=0; i<N; i++)
        assert(1 == scanf("%d", &V[i]));
    for (int i=0; i<N; i++)
        assert(1 == scanf("%d", &P[i]));
    for (int i=0; i<N; i++)
        assert(1 == scanf("%d", &C[i]));

    int budget = 0, minbudget = 0, gain = 0;
    for (int i=0; i<N; i++) {
        if (V[i]-P[i] > C[i]) {
            gain += V[i]-P[i];
            budget -= P[i];
            if (budget < minbudget) minbudget = budget;
        } else {
            gain += C[i];
            budget += C[i];
        }
    }
    
    printf("%d %d\n", gain, -minbudget); // print the result
    return 0;
}
