{ NOTE: it is recommended to use this even if you don't understand the following code. }

{ constraints }
const
    MAXM = 200000;
    MAXN = 200000;

    { input data }
var
    N, M, i : longint;
    A, B, W : array[0..MAXM-1] of longint;
    R : longint;
    balance : array[0..MAXN-1] of longint;

begin
    {
    uncomment the following lines if you want to read/write from files
    assign(input,  'input.txt');  reset(input);
    assign(output, 'output.txt'); rewrite(output);
    }

    readln(N, M);
    for i:=0 to M-1 do
        readln(A[i], B[i], W[i]);

    { insert your code here }

    for i := 0 to N-1 do
        balance[i] := 0;

    for i := 0 to M-1 do
    begin
        balance[A[i]] := balance[A[i]] - W[i];
        balance[B[i]] := balance[B[i]] + W[i];
    end;

    R := 0;
    for i := 0 to N-1 do
    begin
        if balance[i] = 0 then
            continue;

        if balance[i] < 0 then
        begin
            A[R] := i+1;
            B[R] := i;
        end
        else
        begin
            A[R] := i;
            B[R] := i+1;
        end;

        W[R] := abs(balance[i]);
        balance[i+1] += balance[i];
        R := R+1;
    end;

    writeln(R);
    for i := 0 to R-1 do
        writeln(A[i], ' ', B[i], ' ', W[i]);
end.
