/*
 * Optimal solution, except it prints some spaces at the end of the line.
 */

#include <stdio.h>
#include <assert.h>
#include <string.h>

// constraints
#define MAXN 100000
#define MAXW 21

// input data
int N, K, i;
char W[MAXN][MAXW];

int main() {
//  uncomment the following lines if you want to read/write from files
//  freopen("input.txt", "r", stdin);
//  freopen("output.txt", "w", stdout);

    assert(2 == scanf("%d%d", &N, &K));
    for(i=0; i<N; i++)
        assert(1 == scanf("%s", W[i]));

    // insert your code here
    int left = K;
    for (int i = 0; i < N; i++) {
        int len = strlen(W[i]);
        if (len <= left) {
            printf("%s ", W[i]);
            left -= len+1;
        } else {
            printf("  \n%s ", W[i]);
            left = K - len - 1;
        }
    }
    
    return 0;
}
