#!/usr/bin/env pypy3

# Optimal solution in python.
# This solution keeps an array of strings representing the current line.
# If a new word can be added without exceeding K, then it is added to the
# line. When no word can be added, the line is printed.


# input data
N, K = map(int, input().strip().split())
W = [input().strip() for _ in range(N)]

pos = 0
while pos < N:
    L = []
    length = 0
    while pos < N and length + len(W[pos]) <= K:
        L += [W[pos]]
        length += len(W[pos]) + 1
        pos += 1
    print(" ".join(L))
