#!/usr/bin/env pypy3
# NOTE: it is recommended to use this even if you don't understand the following code.


# input data
N, M = map(int, input().strip().split())
A = [None] * M
B = [None] * M
W = [None] * M
for i in range(M):
    A[i], B[i], W[i] = map(int, input().split())


balance = [0] * N
for i in range(M):
    balance[A[i]] -= W[i]
    balance[B[i]] += W[i]

R = 0
A = [0] * N
B = [0] * N
W = [0] * N
for i in range(N):
    if balance[i] == 0:
        continue
    if balance[i] < 0:
        A[R] = i+1
        B[R] = i
    else:
        A[R] = i
        B[R] = i+1
    W[R] = abs(balance[i])
    balance[i+1] += balance[i]
    R += 1

print(R)
for i in range(R):
    print(A[i], B[i], W[i])
